/*
* @description:物料采购方式维护-字典信息
  @Modifier: 郝定康
  @routerPath:
  @date: 2020-11-12 16:31:48
  * */
export const materielMixins = {
  data() {
    return {
      procurementOrderOrderStatusTab: [
        {
          name: '待生效',
          index: '00'
        }, {
          name: '执行中',
          index: '01'
        }, {
          name: '变更记录',
          index: '02'
        }
      ],
      // 计量单位
      purchaseUnitList: [],
      // 采购方式
      tender_methodList: [],
      // 采购计划状态 已关联未关联
      plan_data_statusList: [],
      // 采购方式
      tenderMethodList: [],
      // 审核状态
      planAuditStatusList: [],
      dictionaryType: ['tender_method', 'plan_data_status', 'purchaseUnit', 'tenderMethod', 'planAuditStatus'],
      purchasplanMethodSubmitAuditConfig: false, // 保存/修改物料采购方式维护信息 true启动工作流 false普通审核
      purchasplanMethodChangeAuditConfig: false // 变更物料采购方式 true启动工作流 false普通审核
    }
  },
  created() {
    // 获取字典信息
    this.$store.dispatch('getGroupType', this.dictionaryType).then((data) => {
      // 遍历key存储相应的数据
      for (const key in data.bidTypeData) {
        /* 是否有数据*/
        if (data.bidTypeData[key]) {
          this[key] = data.bidTypeData[key]
        }
      }
    })
  },
  methods: {
    // 保存/修改物料采购方式维护信息工作流配置
    purchasplanMethodSubmitAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'purchasplan-methodSubmit-audit-config').then(() => {
        this.purchasplanMethodSubmitAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    },
    // 变更物料采购方式维护信息工作流配置
    purchasplanMethodChangeAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'purchasplan-methodChange-audit-config').then(() => {
        this.purchasplanMethodChangeAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    }
  }
}

